You are not logged in.

#1 2004-12-29 09:21:12

tony
Member
Registered: 2004-10-11
Posts: 108

pacman -Syu - errors occurred, no packages were upgraded

Today I wanted to update my system so a ran pacman -Syu command, download worked perfect
as usual  big_smile  but when it got to installation I've seen this:

checking package integrity... done.
loading package data... done.
checking for file conflicts...
error: the following file conflicts were found:
  gtk-engines: /usr/lib/gtk-2.0/2.4.0/engines/libcrux-engine.la: exists in filesystem
  gtk-engines: /usr/lib/gtk-2.0/2.4.0/engines/libcrux-engine.so: exists in filesystem
  gtk-engines: /usr/lib/gtk-2.0/2.4.0/engines/libhcengine.la: exists in filesystem
  gtk-engines: /usr/lib/gtk-2.0/2.4.0/engines/libhcengine.so: exists in filesystem
  gtk-engines: /usr/lib/gtk-2.0/2.4.0/engines/liblighthouseblue.la: exists in filesystem
  gtk-engines: /usr/lib/gtk-2.0/2.4.0/engines/liblighthouseblue.so: exists in filesystem
  gtk-engines: /usr/lib/gtk-2.0/2.4.0/engines/libmist.la: exists in filesystem
  gtk-engines: /usr/lib/gtk-2.0/2.4.0/engines/libmist.so: exists in filesystem
  gtk-engines: /usr/lib/gtk-2.0/2.4.0/engines/libsmooth.la: exists in filesystem
  gtk-engines: /usr/lib/gtk-2.0/2.4.0/engines/libsmooth.so: exists in filesystem
  gtk-engines: /usr/lib/gtk-2.0/2.4.0/engines/libthinice.la: exists in filesystem
  gtk-engines: /usr/lib/gtk-2.0/2.4.0/engines/libthinice.so: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/arrow_down-spinner.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/arrow_down.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/arrow_left.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/arrow_right.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/arrow_up-spinner.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/arrow_up.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/check-active-default-focus.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/check-active-default.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/check-active-hilight-focus.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/check-active-hilight.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/check-active-insensitive.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/check-active-pressed-focus.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/check-active-pressed.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/check-default-focus.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/check-default.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/check-hilight-focus.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/check-hilight.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/check-insensitive.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/check-pressed-focus.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/check-pressed.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/progressbar-left.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/progressbar-right.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/progressbar.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/progressbar_trough.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/radio-active-default-focus.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/radio-active-default.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/radio-active-hilight-focus.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/radio-active-hilight.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/radio-active-insensitive.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/radio-active-pressed-focus.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/radio-active-pressed.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/radio-default-focus.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/radio-default.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/radio-hilight-focus.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/radio-hilight.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/radio-insensitive.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/radio-pressed-focus.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/radio-pressed.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-arrow-down-hilight.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-arrow-down-pressed.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-arrow-down.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-arrow-left-hilight.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-arrow-left-pressed.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-arrow-left.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-arrow-right-hilight.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-arrow-right-pressed.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-arrow-right.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-arrow-up-hilight.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-arrow-up-pressed.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-arrow-up.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-h-hilight.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-h-thumb-hilight.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-h-thumb.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-h-trough.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-h.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-v-hilight.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-v-thumb-hilight.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-v-thumb.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-v-trough.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/scroller-v.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/slider_h_thumb.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/slider_h_trough.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/slider_h_trough_focus.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/slider_v_thumb.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/slider_v_trough.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/slider_v_trough_focus.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/tab_left-unsel.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/tab_left.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/tab_right.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/tab_sel-bottom.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/tab_sel.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/tab_usel-bottom-left.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/tab_usel-bottom.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/tab_usel-left.png: exists in filesystem
  gtk-engines: /usr/share/eazel-engine/tab_usel.png: exists in filesystem
  gtk-engines: /usr/share/themes/Crux/gtk-2.0/gtkrc: exists in filesystem
  gtk-engines: /usr/share/themes/LighthouseBlue/gtk-2.0/gtkrc: exists in filesystem
  gtk-engines: /usr/share/themes/Mist/gtk-2.0/gtkrc: exists in filesystem
  gtk-engines: /usr/share/themes/ThinIce/gtk-2.0/gtkrc: exists in filesystem

errors occurred, no packages were upgraded.

Can someone tell me what's wrong and how to fix this?Thnx.

Offline

#2 2004-12-29 09:35:56

cactus
Taco Eater
From: t͈̫̹ͨa͖͕͎̱͈ͨ͆ć̥̖̝o̫̫̼s͈̭̱̞͍̃!̰
Registered: 2004-05-25
Posts: 4,615
Website

Re: pacman -Syu - errors occurred, no packages were upgraded

hmm...maybe something borked up in your /var/lib/pacman directory..

man pacman:

       -f, --force
              Bypass file conflict checks, overwriting conflicting files.   If
              the  package  that  is about to be installed contains files that
              are already installed, this option will cause all those files to
              be  overwritten.   This option should be used with care, ideally
              not at all.

so,

pacman -Sf gtk-engines

should *ahem* force the issue...


"Be conservative in what you send; be liberal in what you accept." -- Postel's Law
"tacos" -- Cactus' Law
"t̥͍͎̪̪͗a̴̻̩͈͚ͨc̠o̩̙͈ͫͅs͙͎̙͊ ͔͇̫̜t͎̳̀a̜̞̗ͩc̗͍͚o̲̯̿s̖̣̤̙͌ ̖̜̈ț̰̫͓ạ̪͖̳c̲͎͕̰̯̃̈o͉ͅs̪ͪ ̜̻̖̜͕" -- -̖͚̫̙̓-̺̠͇ͤ̃ ̜̪̜ͯZ͔̗̭̞ͪA̝͈̙͖̩L͉̠̺͓G̙̞̦͖O̳̗͍

Offline

#3 2004-12-29 14:20:10

Winkie
Member
Registered: 2004-09-30
Posts: 59

Re: pacman -Syu - errors occurred, no packages were upgraded

I had the same issue, i assume that some package has changed name and forgot to have a 'replaces' clause or similar added.

Offline

#4 2004-12-29 23:13:38

skeeterbug
Member
From: Oklahoma, USA
Registered: 2004-10-24
Posts: 92
Website

Re: pacman -Syu - errors occurred, no packages were upgraded

I think it's a bug - apparently gtk-engines now includes many if not all of the files in gnome-themes and gnome-themes-extras.  What I did was to remove (pacman -R) gnome-themes and gnome-themes-extras and then re-ran pacman -Syu and it's all good.  I then tried to reinstall gnome-themes and gnome-themes-extras and got the conflicts again so I'm just waiting 'til someone figures it out.

Maybe I'll contact the maintainers of both gtk-engines and gnome-themes* and see if they can get on the same page or file a bug or something.

Offline

#5 2004-12-29 23:21:41

skeeterbug
Member
From: Oklahoma, USA
Registered: 2004-10-24
Posts: 92
Website

Re: pacman -Syu - errors occurred, no packages were upgraded

Actually looking at the cvs entries it looks like Arjan Timmerman who maintains gnome-themes and gnome-themes-extras may have already addressed and fixed the problems but the updates just haven't made it in yet.

I bet if we give it a day or so and then try again it'll all be good.  I'll try to reinstall gnome-themes and gnome-themes-extras tomorrow and report back.

Offline

#6 2004-12-30 01:32:01

oscar
Member
From: Linköping, Sweden
Registered: 2004-08-13
Posts: 457

Re: pacman -Syu - errors occurred, no packages were upgraded

I usually move the conflicting files to a backup folder (in case something goes wrong), and then upgrade again smile


To err is human... to really foul up requires the root password.

Offline

#7 2004-12-30 06:57:22

skeeterbug
Member
From: Oklahoma, USA
Registered: 2004-10-24
Posts: 92
Website

Re: pacman -Syu - errors occurred, no packages were upgraded

That'll work too - it's all fixed now though so if you do a regular pacman -Syu everything should be good - it was for me anyway.

Offline

#8 2004-12-30 11:48:50

tony
Member
Registered: 2004-10-11
Posts: 108

Re: pacman -Syu - errors occurred, no packages were upgraded

It works again wink  lol  lol  lol  lol

Thank you Happy New Year to all of you lol  lol  lol  lol  lol

Offline

Board footer

Powered by FluxBB